/*
Блок-обертка с отступами
класс .spacing - margin
класс .inland - padding
*/

.kit.box {
  /*
   MARGIN
  */
 &.out-auto {
    margin: auto;
  }
 &.out-top-large {
    margin-top: 2rem;
  }
 &.out-top-maxi {
    margin-top: 1.5rem;
  }
 &.out-top-normal {
    margin-top: 1rem;
  }
 &.out-top-mini {
    margin-top: 0.5rem;
  }
 &.out-top-small {
    margin-top: 0.25rem;
  }

 &.out-left-large {
    margin-left: 2rem;
  }
 &.out-left-maxi {
    margin-left: 1.5rem;
  }
 &.out-left-normal {
    margin-left: 1rem;
  }
 &.out-left-mini {
    margin-left: 0.5rem;
  }
 &.out-left-small {
    margin-left: 0.25rem;
  }
 &.out-left-null {
    margin-left: 0;
  }

 &.out-right-large {
    margin-right: 2rem;
  }
 &.out-right-maxi {
    margin-right: 1.5rem;
  }
 &.out-right-normal {
    margin-right: 1rem;
  }
 &.out-right-mini {
    margin-right: 0.5rem;
  }
 &.out-right-small {
    margin-right: 0.25rem;
  }
  &.out-right-null {
    margin-right: 0;
  }

 &.out-bottom-large {
    margin-bottom: 2rem;
  }
 &.out-bottom-maxi {
    margin-bottom: 1.5rem;
  }
 &.out-bottom-normal {
    margin-bottom: 1rem;
  }
 &.out-bottom-mini {
    margin-bottom: 0.5rem;
  }
 &.out-bottom-small {
    margin-bottom: 0.25rem;
  }

  /*
  PADDING
  */
  &.in-top-large {
    padding-top: 2rem;
  }
  &.in-top-maxi {
    padding-top: 1.5rem;
  }
  &.in-top-normal {
    padding-top: 1rem;
  }
  &.in-top-mini {
    padding-top: 0.5rem;
  }
  &.in-top-small {
    padding-top: 0.25rem;
  }

  &.in-left-large {
    padding-left: 2rem;
  }
  &.in-left-maxi {
    padding-left: 1.5rem;
  }
  &.in-left-normal {
    padding-left: 1rem;
  }
  &.in-left-mini {
    padding-left: 0.5rem;
  }
  &.in-left-small {
    padding-left: 0.25rem;
  }

  &.in-right-large {
    padding-right: 2rem;
  }
  &.in-right-maxi {
    padding-right: 1.5rem;
  }
  &.in-right-normal {
    padding-right: 1rem;
  }
  &.in-right-mini {
    padding-right: 0.5rem;
  }
  &.in-right-small {
    padding-right: 0.25rem;
  }

  &.in-bottom-large {
    padding-bottom: 2rem;
  }
  &.in-bottom-maxi {
    padding-bottom: 1.5rem;
  }
  &.in-bottom-normal {
    padding-bottom: 1rem;
  }
  &.in-bottom-mini {
    padding-bottom: 0.5rem;
  }
  &.in-bottom-small {
    padding-bottom: 0.25rem;
  }
}

.background {
  &.not {
    background-color: transparent;
  }
  &.rounded {
    border-radius: 3px;
  }
  &.border {
    border: 0 solid transparent;
    &.all {
      border-width: 1px;
    }
    &.right {
      border-right-width: 1px;
    }
    &.left {
      border-left-width: 1px;
    }
    &.top {
      border-top-width: 1px;
    }
    &.bottom {
      border-bottom-width: 1px;
    }
  }
  &.white {
    background-color: #ffffff;
    &.border {
      border-color: $gray-300;
    }
    &.light {
      border-color: $gray-200;
    }
  }

  &.gray {
    background-color: $gray-800;
    &.border {
      border-color: $gray-200;
    }
  }
  &.lightgray {
    background-color: $gray-500;
    &.border {
      border-color: $gray-200;
    }
  }

  &.red {
    background-color: $red-100;
    &.border {
      border-color: $gray-200;
    }
  }

  &.lightblue {
    background-color: $blue-200;
    &.border {
      border-color: $blue-200;
    }
  }
}

::-webkit-input-placeholder {
  color: $placeholder;
  font-weight: 400;
  opacity: 1;
}

::-moz-placeholder {
  color: $placeholder;
  font-weight: 400;
  opacity: 1;
}

:-moz-placeholder {
  color: $placeholder;
  font-weight: 400;
  opacity: 1;
}

:-ms-input-placeholder {
  color: $placeholder;
  font-weight: 400;
  opacity: 1;
}